import { createApp } from 'vue'
import App from './App.vue'
import './reset.css'

import router from './router';
import store from './store';
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css';

const app = createApp(App);
app.use(ElementPlus)
app.use(router);
app.use(store);
app.mount('#app');
