// 研报小程序api
import {get,post} from './request'

/**
 * 该图表是否收藏了
 */
interface IsCollectParams{
    unique_code:string,
    authorization:string
}
export const apiChartIsCollect=(params:IsCollectParams)=>{
    return get('/my_chart/is_collect',params)
}

/**
 * 收藏图表
 */
interface CollectParams{
    unique_code:string,
    authorization:string,
    report_id:number,
    report_chapter_id:number
}
export const apiChartCollect=(params:CollectParams)=>{
    return post('/my_chart/collect',params)
}

/**
 * 取消收藏
 */
export const apiChartCollectCancel=(params:IsCollectParams)=>{
    return post('/my_chart/collect_cancel',params)
}
